## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global tree_sitter_so_version 0

# Keep these up-to-date with the values in lib/include/tree_sitter/api.h:
%global tree_sitter_language_version 15
%global tree_sitter_min_compatible_language_version 13


Name:           tree-sitter
Version:        0.25.6
Release:        %autorelease
Summary:        An incremental parsing system for programming tools

License:        MIT
URL:            https://tree-sitter.github.io/
Source0:        https://github.com/tree-sitter/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires: gcc
BuildRequires: make


%description
Tree-sitter is a parser generator tool and an incremental parsing
library. It can build a concrete syntax tree for a source file
and efficiently update the syntax tree as the source file is
edited. Tree-sitter aims to be:

 * General enough to parse any programming language
 * Fast enough to parse on every keystroke in a text editor
 * Robust enough to provide useful results even in the presence
   of syntax errors
 * Dependency-free so that the runtime library (which is written
   in pure C) can be embedded in any application

%package -n lib%{name}
Summary:        Incremental parsing library for programming tools
%{lua:
  for i = rpm.expand('%tree_sitter_min_compatible_language_version'),
          rpm.expand('%tree_sitter_language_version') do
    print(string.format("Provides: tree-sitter(:LANGUAGE_VERSION) = %d\n", i))
  end
}

%description -n lib%{name}
Tree-sitter is a parser generator tool and an incremental parsing
library. It can build a concrete syntax tree for a source file
and efficiently update the syntax tree as the source file is
edited. This is the package with the dynamically linked C library.

%package -n lib%{name}-devel
Summary:        Development files for %{name}
Requires:       lib%{name}%{?_isa} = %{version}-%{release}

%description -n lib%{name}-devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1


%build
%set_build_flags
export PREFIX='%{_prefix}' LIBDIR='%{_libdir}'
%make_build


%install
export PREFIX='%{_prefix}' LIBDIR='%{_libdir}' INCLUDEDIR='%{_includedir}'
%make_install

find %{buildroot}%{_libdir} -type f \( -name "*.la" -o -name "*.a" \) -delete -print

install -d %{buildroot}%{_datadir}/tree-sitter/queries


%check
grep -q '^#define TREE_SITTER_LANGUAGE_VERSION %tree_sitter_language_version' \
     lib/include/tree_sitter/api.h
grep -q '^#define TREE_SITTER_MIN_COMPATIBLE_LANGUAGE_VERSION %tree_sitter_min_compatible_language_version' \
     lib/include/tree_sitter/api.h


%files -n lib%{name}
%license LICENSE
%doc README.md
%dir %{_datadir}/tree-sitter
%dir %{_datadir}/tree-sitter/queries
%{_libdir}/libtree-sitter.so.%{tree_sitter_so_version}*

%files -n lib%{name}-devel
%{_includedir}/tree_sitter
%{_libdir}/libtree-sitter.so
%{_libdir}/pkgconfig/tree-sitter.pc


%changelog
## START: Generated by rpmautospec
* Fri Jun 13 2025 Peter Oliver <git@mavit.org.uk> - 0.25.6-1
- Update to version 0.25.6.

* Fri Jun 13 2025 Peter Oliver <git@mavit.org.uk> - 0.25.5-3
- Virtual Provides for compatible language ABI versions

* Wed May 28 2025 Peter Oliver <git@mavit.org.uk> - 0.25.5-2
- chain-build.sh: Be more quiet.

* Wed May 28 2025 Peter Oliver <git@mavit.org.uk> - 0.25.5-1
- Update to version 0.25.5.

* Mon May 12 2025 Peter Oliver <git@mavit.org.uk> - 0.25.4-4
- chain-build.sh: Prevent error `line 220: bug: unbound variable`.

* Mon May 12 2025 Peter Oliver <git@mavit.org.uk> - 0.25.4-3
- chain-build.sh: Skip rebuilds depending on libtree-sitter only for dirs.

* Mon May 12 2025 Peter Oliver <git@mavit.org.uk> - 0.25.4-2
- chain-build.sh: In Fedora 42, `dnf repoquery --qf=…` lacks implicit
  newline.

* Mon May 12 2025 Peter Oliver <git@mavit.org.uk> - 0.25.4-1
- Update to version 0.25.4.

* Mon Apr 14 2025 Peter Oliver <git@mavit.org.uk> - 0.25.3-1
- Update to version 0.25.3.

* Tue Mar 11 2025 Peter Oliver <git@mavit.org.uk> - 0.25.2-9
- Own /usr/share/tree-sitter/queries/

* Tue Feb 25 2025 Peter Oliver <git@mavit.org.uk> - 0.25.2-8
- chain-build.sh: Request repo be regenerated to include fresh treesitter
  build.

* Tue Feb 25 2025 Peter Oliver <git@mavit.org.uk> - 0.25.2-7
- chain-build.sh: Handle branches other than rawhide.

* Tue Feb 25 2025 Peter Oliver <git@mavit.org.uk> - 0.25.2-6
- chain-build.sh: Fix quoting of auth token type.

* Thu Feb 20 2025 Peter Oliver <git@mavit.org.uk> - 0.25.2-5
- chain-build.sh: Wait for Tree-sitter to be side tagged before proceeding

* Wed Feb 19 2025 Peter Oliver <git@mavit.org.uk> - 0.25.2-4
- chain-build.sh: Fix posting summary to Bugzilla.

* Wed Feb 19 2025 Peter Oliver <git@mavit.org.uk> - 0.25.2-3
- chain-build.sh: Post summary to Bugzilla.

* Wed Feb 19 2025 Peter Oliver <git@mavit.org.uk> - 0.25.2-2
- chain-build.sh: Mention pull request URLs in closing message.

* Wed Feb 19 2025 Peter Oliver <git@mavit.org.uk> - 0.25.2-1
- Update to version 0.25.2

* Mon Feb 03 2025 Peter Oliver <git@mavit.org.uk> - 0.25.1-8
- chain-build.sh: Link to completed builds in Koji.

* Mon Feb 03 2025 Peter Oliver <git@mavit.org.uk> - 0.25.1-7
- chain-build.sh: Delete .side-tag on completion.

* Mon Feb 03 2025 Peter Oliver <git@mavit.org.uk> - 0.25.1-6
- chain-build.sh: Can’t push from a shallow clone if fork isn’t up to date.

* Mon Feb 03 2025 Peter Oliver <git@mavit.org.uk> - 0.25.1-5
- chain-build.sh: Ensure authorisation file is readable only by user

* Mon Feb 03 2025 Peter Oliver <git@mavit.org.uk> - 0.25.1-4
- chain-build.sh: Fix typo.

* Mon Feb 03 2025 Peter Oliver <git@mavit.org.uk> - 0.25.1-3
- chain-build.sh: Fix detection of existing side tag.

* Mon Feb 03 2025 Peter Oliver <git@mavit.org.uk> - 0.25.1-2
- CHANGELOG.md was dropped

* Mon Feb 03 2025 Peter Oliver <git@mavit.org.uk> - 0.25.1-1
- Update to version 0.25.1

* Thu Jan 23 2025 Peter Oliver <git@mavit.org.uk> - 0.24.7-3
- Convenience script to rebuild dependent packages

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.24.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Jan 14 2025 Peter Oliver <git@mavit.org.uk> - 0.24.7-1
- Update to version 0.24.7

* Wed Aug 28 2024 Andreas Schneider <asn@cryptomilk.org> - 0.23.0-1
- Update to version 0.23.0
- https://github.com/tree-sitter/tree-sitter/blob/v0.23.0/CHANGELOG.md

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.22.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Apr 15 2024 Andreas Schneider <asn@redhat.com> - 0.22.5-1
- Update to version 0.22.5
  https://github.com/tree-sitter/tree-sitter/blob/v0.22.5/CHANGELOG.md

* Sun Apr 14 2024 Andreas Schneider <asn@redhat.com> - 0.22.4-1
- Update to version 0.22.4
  https://github.com/tree-sitter/tree-sitter/blob/v0.22.4/CHANGELOG.md

* Mon Mar 18 2024 Andreas Schneider <asn@redhat.com> - 0.22.2-1
- Update to version 0.22.2
  https://github.com/tree-sitter/tree-sitter/blob/v0.22.2/CHANGELOG.md

* Mon Mar 11 2024 Andreas Schneider <asn@redhat.com> - 0.22.1-1
- Update to version 0.22.1
  https://github.com/tree-sitter/tree-sitter/blob/v0.22.1/CHANGELOG.md

* Thu Feb 22 2024 Andreas Schneider <asn@redhat.com> - 0.21.0-1
- Update to version 0.21.0
  https://github.com/tree-sitter/tree-sitter/releases/tag/v0.21.0

* Fri Jan 26 2024 Andreas Schneider <asn@redhat.com> - 0.20.9-1
- Update to version 0.20.9
  https://github.com/tree-sitter/tree-sitter/releases/tag/v0.20.9

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.20.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Apr 04 2023 Andreas Schneider <asn@redhat.com> - 0.20.8-1
- Update to version 0.20.8

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.20.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Sep 03 2022 Andreas Schneider <asn@redhat.com> - 0.20.7-1
- Update to version 0.20.7

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.20.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Apr 04 2022 Andreas Schneider <asn@redhat.com> - 0.20.6-1
- Update to version 0.20.6

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.20.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Dec 01 2021 Andreas Schneider <asn@redhat.com> - 0.20.1-1
- Update to version 0.20.1

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.20.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sat Jul 03 2021 Andreas Schneider <asn@redhat.com> - 0.20.0-2
- Fixed libtree-sitter Require of devel package

* Fri Jul 02 2021 Andreas Schneider <asn@redhat.com> - 0.20.0-1
- Initial package

## END: Generated by rpmautospec
